/*
 * VersionBean.java
 *
 * Created on 2007/02/22, 15:18
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package test.org.itscool.commons.dao3;

import java.util.Date;

/**
 *
 * @author ios
 */
public class VersionBean {
    /* テーブルマッピング定義 */
    public static final String TABLE = "VERSION_BEAN";
    public static final String PK_COLUM_id = "ID";
    public static final String COLUM_name = "NAME";
    public static final String COLUM_lockVersion = "LOCK_VERSION";
    public static final String COLUM_updateDt = "UPDATE_DT";
    
    private int id;
    private String name;
    private int lockVersion=-1;
    private Date updateDt;
    
    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getLockVersion() {
        return lockVersion;
    }

    public void setLockVersion(int lockVersion) {
        this.lockVersion = lockVersion;
    }

    public Date getUpdateDt() {
        return updateDt;
    }

    public void setUpdateDt(Date updateDt) {
        this.updateDt = updateDt;
    }
    
}
